Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

sharedmemory Member List

This is the complete list of members for sharedmemory, including all inherited members.

attach(key_t key, size_t size) | sharedmemory |
create(key_t key, size_t size, mode_t permissions) | sharedmemory |
createOrAttach(key_t key, size_t size, mode_t permissions) | sharedmemory |
dontRemove() | sharedmemory |
forceRemove() | sharedmemory |
getGroupId() | sharedmemory |
getGroupName() | sharedmemory |
getId() const | sharedmemory |
getPermissions() | sharedmemory |
getPointer() const | sharedmemory |
getUserId() | sharedmemory |
getUserName() | sharedmemory |
setGroupId(gid_t gid) | sharedmemory |
setGroupName(const char *groupname) | sharedmemory |
setPermissions(mode_t permissions) | sharedmemory |
setUserId(uid_t uid) | sharedmemory |
setUserName(const char *username) | sharedmemory |
sharedmemory() | sharedmemory |
~sharedmemory() | sharedmemory |